---
aliases:
- /building
- /building.html
title: Building the Source Code
---

1\) Download and install [Android
Studio](http://developer.android.com/sdk/index.html).


![](/img/building/01.png)

3\) Select **Git** from the popup menu.

![](/img/building/02.png)

4\) Enter **https://code.briarproject.org/briar/briar.git** as the **Git
Repository URL**, then click **Clone**.

![](/img/building/03.png)

This process may take a bit, and you should see a dialog similar to this.

![](/img/building/03-2.png)

5\) When the source code has downloaded, click **Yes** to open the
project.

![](/img/building/04.png)

6\) Select **Build > Build Bundle(s)/APK(s) > Build APK(s)** from the Android Studio menu.

![](/img/building/13.png)

7\) When the build process finishes, click **Show in File Manager** to
open the folder containing the APK file, **briar-android-official-debug.apk**.
You can
[sideload](http://www.digitalcitizen.life/how-sideload-apps-using-apk-files-android-devices)
this file onto any Android device.

![](/img/building/11.png)

8\) Briar is under constant development, so you should check for updates
regularly. To get the latest version of the source code, select **VCS > Update
Project**.

![](/img/building/09.png)

Alternatively, you can also use the **Update Project** button on the toolbar:

![](/img/building/09-2.png)

9\) Click **OK** to accept the default settings.

![](/img/building/10.png)

10\) Repeat steps 6 and 7 to build and install the updated app.

If you're interested in getting involved or following the progress of
the project, please [join the development mailing
list](https://lists.sourceforge.net/lists/listinfo/briar-devel).
